# Generated by Django 4.1.13 on 2024-03-12 15:21

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import shared.models.legacy


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0025_alter_image_file_alter_rendition_file"),
        ("wagtailcore", "0083_workflowcontenttype"),
        ("elections", "0021_alter_electionshomepage_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="electionshomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "desktop_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud není vybráno video, ukáže se na desktopu.",
                                        label="Obrázek na pozadí (desktop)",
                                    ),
                                ),
                                (
                                    "mobile_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud je vybrán, ukáže se místo videa na mobilu.",
                                        label="Obrázek (mobil)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pokud je vybráno, ukáže se na desktopech s povoleným autoplayem místo obrázku.",
                                        label="URL videa",
                                        required=False,
                                    ),
                                ),
                                (
                                    "mobile_line_1",
                                    wagtail.blocks.TextBlock(
                                        label="První mobilní řádek"
                                    ),
                                ),
                                (
                                    "mobile_line_2",
                                    wagtail.blocks.TextBlock(
                                        label="Druhý mobilní řádek"
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "candidates",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "candidates",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "elections.ElectionsCandidatePage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                        label="Obrázek",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.TextBlock(
                                                        label="Popis"
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kandidáti",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "secondary_candidates",
                        wagtail.blocks.StructBlock(
                            [
                                ("heading", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "candidates",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "number",
                                                    wagtail.blocks.CharBlock(
                                                        label="Číslo"
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "elections.ElectionsCandidatePage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                        label="Obrázek",
                                                        required=False,
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kandidáti",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "label",
                                    wagtail.blocks.CharBlock(
                                        default="Program",
                                        help_text="Např. 'Program'",
                                        label="Nadpis",
                                    ),
                                ),
                                (
                                    "categories",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "number",
                                                    wagtail.blocks.IntegerBlock(
                                                        label="Číslo"
                                                    ),
                                                ),
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název"
                                                    ),
                                                ),
                                                (
                                                    "points",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Obsah"
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                        label="Body",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kategorie",
                                    ),
                                ),
                                (
                                    "long_version_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pro zobrazení odkazu na celou verzi programu musí být obě následující pole vyplněná.",
                                        label="Odkaz na celou verzi programu",
                                        required=False,
                                    ),
                                ),
                                (
                                    "long_version_text",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis odkazu na celou verzi programu",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.TextBlock(label="Popis"),
                                ),
                            ],
                            template="styleguide2/includes/organisms/articles/elections/articles_section.html",
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Hlavní obsah",
            ),
        ),
        migrations.CreateModel(
            name="ElectionsFullProgramPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            ("richtext", wagtail.blocks.RichTextBlock(label="Text")),
                            (
                                "popout_block",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "categories",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "name",
                                                            wagtail.blocks.CharBlock(
                                                                label="Název"
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Ikona",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "point_list",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek vyskakovacího bloku"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "content",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                features=[
                                                                                    "h3",
                                                                                    "h4",
                                                                                    "h5",
                                                                                    "bold",
                                                                                    "italic",
                                                                                    "ol",
                                                                                    "ul",
                                                                                    "hr",
                                                                                    "link",
                                                                                    "document-link",
                                                                                    "image",
                                                                                    "superscript",
                                                                                    "subscript",
                                                                                    "strikethrough",
                                                                                    "blockquote",
                                                                                    "embed",
                                                                                ],
                                                                                label="Obsah",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Jednotlivé bloky programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                                label="Kategorie programu",
                                            ),
                                        )
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Obsah",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Celá verze programu",
            },
            bases=(
                shared.models.main.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
