# Generated by Django 5.0.6 on 2024-07-18 11:07

import wagtail.blocks
import wagtail.contrib.table_block.blocks
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("elections", "0049_electionsarticlepage_show_scroll_progress"),
    ]

    operations = [
        migrations.AlterField(
            model_name="electionsarticlepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            template="styleguide2/includes/atoms/text/prose_richtext.html"
                        ),
                    ),
                    (
                        "advanced_text",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        group="1. Text",
                                        label="Textový editor",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns_text",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "headline",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis", max_length=300, required=True
                                    ),
                                ),
                                (
                                    "tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h1", "H1"),
                                            ("h2", "H2"),
                                            ("h3", "H3"),
                                            ("h4", "H4"),
                                            ("h5", "H5"),
                                            ("h6", "H6"),
                                        ],
                                        help_text="Čím nižší číslo, tím vyšší úroveň.",
                                        label="Úroveň nadpisu",
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("head-alt-xl", "Velký, Bebas Neue - 6XL"),
                                            (
                                                "head-alt-lg",
                                                "Střední, Bebas Neue - 4XL",
                                            ),
                                            (
                                                "head-alt-md",
                                                "Základní velikost - Roboto - MD",
                                            ),
                                            ("head-alt-sm", "Malý - Roboto - SM"),
                                            ("head-alt-xs", "Extra malý - Roboto - XS"),
                                        ],
                                        help_text="Náhled si prohlédněte na https://styleguide2.pirati.cz/pattern/patterns/atoms/text/headings.html.",
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "headline_with_picture",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                ("title", wagtail.blocks.CharBlock(label="nadpis")),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                        label="obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "picture_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                                "superscript",
                                                "subscript",
                                                "strikethrough",
                                                "blockquote",
                                                "embed",
                                            ],
                                            label="Odstavec",
                                        ),
                                        label="Odstavce",
                                    ),
                                ),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Rozměr 30x30px nebo více (obrázek bude zmenšen na 30x30px)",
                                        label="Obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "flip_cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "cards",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "bg_color",
                                                    wagtail.blocks.CharBlock(
                                                        default="FEC900",
                                                        label="Barva pozadí",
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.TextBlock(
                                                        help_text="Řádkování je manuální.",
                                                        label="Nadpis",
                                                    ),
                                                ),
                                                (
                                                    "content",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Obsah"
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Pokud není vyplněn, tlačítko se neukáže.",
                                                        label="Nadpis tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "button_url",
                                                    wagtail.blocks.CharBlock(
                                                        label="Odkaz tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Karta",
                                        ),
                                        label="Karty",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            group="3. Ostatní",
                            label="Tabulka",
                            template="styleguide2/includes/atoms/table/table.html",
                        ),
                    ),
                    (
                        "popout_table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            group="3. Ostatní",
                            label="Rozbalovací tabulka",
                            template="styleguide2/includes/atoms/table/popout_table.html",
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="3. Ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=False
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.TextBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    group="1. Text",
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    group="3. Ostatní",
                                                    label="Tabulka",
                                                    template="styleguide2/includes/atoms/table/table.html",
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                        ],
                                        label="Obsah",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    group="1. Text",
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    group="3. Ostatní",
                                                    label="Tabulka",
                                                    template="styleguide2/includes/atoms/table/table.html",
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                                "embed",
                                                                            ],
                                                                            group="1. Text",
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            group="3. Ostatní",
                                                                            label="Tabulka",
                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "pirati-yellow",
                                                                        "Žlutá",
                                                                    ),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelená",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "pirati-yellow",
                                                                                        "Žlutá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelená",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    group="1. Text",
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    group="3. Ostatní",
                                                    label="Tabulka",
                                                    template="styleguide2/includes/atoms/table/table.html",
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                                "embed",
                                                                            ],
                                                                            group="1. Text",
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            group="3. Ostatní",
                                                                            label="Tabulka",
                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "pirati-yellow",
                                                                        "Žlutá",
                                                                    ),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelená",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "pirati-yellow",
                                                                                        "Žlutá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelená",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "three_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    group="1. Text",
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    group="3. Ostatní",
                                                    label="Tabulka",
                                                    template="styleguide2/includes/atoms/table/table.html",
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                                "embed",
                                                                            ],
                                                                            group="1. Text",
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            group="3. Ostatní",
                                                                            label="Tabulka",
                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "pirati-yellow",
                                                                        "Žlutá",
                                                                    ),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelená",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "pirati-yellow",
                                                                                        "Žlutá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelená",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "middle_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    group="1. Text",
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    group="3. Ostatní",
                                                    label="Tabulka",
                                                    template="styleguide2/includes/atoms/table/table.html",
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                                "embed",
                                                                            ],
                                                                            group="1. Text",
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            group="3. Ostatní",
                                                                            label="Tabulka",
                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "pirati-yellow",
                                                                        "Žlutá",
                                                                    ),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelená",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "pirati-yellow",
                                                                                        "Žlutá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelená",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah prostředního sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    group="1. Text",
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    group="3. Ostatní",
                                                    label="Tabulka",
                                                    template="styleguide2/includes/atoms/table/table.html",
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                                "embed",
                                                                            ],
                                                                            group="1. Text",
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            group="3. Ostatní",
                                                                            label="Tabulka",
                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "pirati-yellow",
                                                                        "Žlutá",
                                                                    ),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelená",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "pirati-yellow",
                                                                                        "Žlutá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelená",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "features",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.TextBlock(
                                                        label="Popisek", required=False
                                                    ),
                                                ),
                                                (
                                                    "geojson",
                                                    wagtail.blocks.TextBlock(
                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                        label="Geodata",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                                (
                                                    "hex_color",
                                                    wagtail.blocks.CharBlock(
                                                        default="000000",
                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                        label="Barva (HEX)",
                                                    ),
                                                ),
                                            ],
                                            required=True,
                                        ),
                                        label="Součásti",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("pirati-yellow", "Žlutá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelená"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "color",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("black", "Černá"),
                                                            ("white", "Bílá"),
                                                            ("pirati-yellow", "Žlutá"),
                                                            ("grey-125", "Světle šedá"),
                                                            ("blue-300", "Modrá"),
                                                            ("cyan-200", "Tyrkysová"),
                                                            ("green-400", "Zelená"),
                                                            ("violet-400", "Vínová"),
                                                            ("red-600", "Červená"),
                                                        ],
                                                        label="Barva",
                                                    ),
                                                ),
                                                (
                                                    "hoveractive",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                        label="Animovat na hover",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                                (
                                                    "align",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("auto", "Automaticky"),
                                                            ("center", "Na střed"),
                                                        ],
                                                        label="Zarovnání",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "quote",
                        wagtail.blocks.StructBlock(
                            [
                                ("quote", wagtail.blocks.CharBlock(label="Citace")),
                                (
                                    "autor_name",
                                    wagtail.blocks.CharBlock(label="Jméno autora"),
                                ),
                            ]
                        ),
                    ),
                    (
                        "download",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "file",
                                    wagtail.documents.blocks.DocumentChooserBlock(
                                        label="Stáhnutelný soubor"
                                    ),
                                )
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Článek",
            ),
        ),
    ]
