from wagtail.blocks import CharBlock, StructBlock
from wagtail.images.blocks import ImageChooserBlock


class CommonWishBlock(StructBlock):
    image = ImageChooserBlock(
        label="Ikona",
        required=True,
    )

    title = CharBlock(label="Nadpis", required=True)

    description = CharBlock(label="Popis", required=True)

    class Meta:
        icon = "heart"
        label = "Časté přání"


class TourDateBlock(StructBlock):
    date = CharBlock(
        label="Datum a lokace", required=True, help_text="Např. 14.5. v Plzni"
    )

    details = CharBlock(
        label="Detaily",
        required=True,
        help_text="Např. 13:00 - 17:00 Parkoviště před Olympií",
    )

    class Meta:
        icon = "heart"
        label = "Datum tour"


class StatBlock(StructBlock):
    count = CharBlock(label="Číslo")

    description = CharBlock(label="Popis")

    class Meta:
        icon = "heart"
        label = "Statistika"
